[Prev: DBFILE] | [Resources][TOC] | [Next: DECODEHEADS]

# DBFILEPERMS

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_DBFILEPERMS=octal-mode`

Element

  `<DBFILEPERMS>`
  octal-mode
  `</DBFILEPERMS>`

Command-line Option

  `-dbfileperms octal-mode`

## Description

NOTE: | The use of DBFILEPERMS on non-Unix-type operating systems may have limited functionality. See the `chmod` function under the Function Implementations of the perlport manpage of the Perl documentation for specifics on how Unix-type permissions are applied to your operating system.

DBFILEPERMS sets the permissions of DBFILE. File permissions are specified as an octal number: the same format as used by the Unix `chmod`(1) command. The following provides common values:

`0666` | User, group, and other readable and writable.
`0660` | User and group readable and writable; no access for anyone else.
`0644` | User readable and writable; group and other readable.
`0640` | User readable and writable; group readable; no access for anyone else.
`0600` | User readable and writable; anyone else is denied access.

The UMASK resource is applied to the value of DBFILEPERMS as follows: `DBFILEPERMS &~ UMASK`. For example, if DBFILEPERMS equals 0660 and UMASK equals 022, archive files will have the permissions 0640, read/write for user and read-only for group, and no access for anyone else.

DBFILEPERMS exists to provide you with the ability to have a more restrictive access policy to DBFILE vs other archive files for security reasons.

## Default Setting

`0660`
(User and group read/write; no access for anyone else)

NOTE: | Remember, UMASK is applied to DBFILEPERMS, so the actual permissions of DBFILE may be less than 0660.

## Resource Variables

N/A

## Examples

None.

## Version

2.6.0

## See Also

DBFILE, FILEPERMS, UMASK

[Prev: DBFILE] | [Resources][TOC] | [Next: DECODEHEADS]